Subject: bug#9409: bug#14531: 24.3.50; `log-view-file-prev' doesn't move to the beginning of the log buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 05 May 2022 14:28:00 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> In (info "(emacs) VC Change Log"):
>>   `P'
>>      Move to the log of the previous file, if showing logs for a
>>      multi-file VC fileset.  Otherwise, just move to the beginning of
>>      the log.  A numeric prefix argument is a repeat count.
>>
>> I tried visiting a random Emacs Lisp file (calc.el) in the bzr repo, and
>> then execute `vc-print-log'.  It isn't a multi-file fileset, but
>> pressing `P' does not move to the beginning of the log buffer.  Instead,
>> an error message "No previous file" occurs.
>
> I'm not sure what that command is meant to do, even after reading the
> documentation and reading the code (and even reading the code doesn't
> help that much, because these are easy-mmode-define-navigation
> incantation).
>
> It searches for the prev instance of:
>
> log-view-file-re
> "^\\(?:Working file: \\(?1:.+\\)\\|\\(?:SCCS/s\\.\\|Changes to
> \\)\\(?1:.+\\):\\)
> "
>
> in the *vc-change-log* buffer?  But ... there's nothing like that in a
> git buffer?
>
> So `P'/`N' always fails for me.  Is this just code that has bitrotted,
> or is the use case just not...  explained well?

Perhaps these commands are CVS/RCS/SCCS-specific, and shouldn't be
enabled in general?  Because they're pretty confusing as is, and should
(at the very least) explain better what they're attempting to do.

I've added Stefan and Dmitry to the CCs; perhaps they have some insights
here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no